Skip to main content
GET
/
conversations
/
{id}
/
messages
List messages in conversation
curl --request GET \
  --url https://api.weav.com/v1/conversations/{id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sender_type": "customer",
      "sender_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "content": "<string>",
      "sent_at": "2023-11-07T05:31:56Z",
      "is_internal": true,
      "from": [
        "<string>"
      ],
      "to": [
        "<string>"
      ],
      "cc": [
        "<string>"
      ],
      "bcc": [
        "<string>"
      ],
      "email_status": "<string>",
      "email_error_message": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "links": {},
  "meta": {}
}

Authorizations

Authorization
string
header
required

Workspace API token. Include abilities external-api:read and/or external-api:write.

Path Parameters

id
string<uuid>
required

Query Parameters

per_page
integer
default:15
Required range: 1 <= x <= 100
page
integer
default:1
Required range: x >= 1

Response

Paginated messages

data
object[]
meta
object